void printl(long val);

int main()
{
  long i, j, val;

  for (i = -2; i < 3; i++)
    for (j = -2; j < 3; j++) {
      val  = i; printl(val);
      val &= j; printl(val);
      val  = i; printl(val);
      val |= j; printl(val);
      val  = i; printl(val);
      val ^= j; printl(val);
    }

  return 0;
}
